X2Go Bug report logs - #943
segfault on x2goagent (error 14 in nxagent) while connecting

version graph

Package: x2goagent; Maintainer for x2goagent is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goagent is src:nx-libs.

Reported by: Juan Navarro <jnavarro@vpod.tv>

Date: Thu, 17 Sep 2015 13:15:02 UTC

Severity: normal

Found in version 3.5.0.32

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#943; Package x2goagent. (Thu, 17 Sep 2015 13:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Juan Navarro <jnavarro@vpod.tv>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 17 Sep 2015 13:15:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Juan Navarro <jnavarro@vpod.tv>
To: submit@bugs.x2go.org
Subject: segfault on x2goagent (error 14 in nxagent) while connecting
Date: Thu, 17 Sep 2015 15:11:19 +0200
[Message part 1 (text/plain, inline)]
Package: x2goagent
Version: 3.5.0.32

A segmentation fault makes impossible to connect two machines in Local Area
Network. No firewalls of port limitations are in effect, and SSH works
normally as per the default Ubuntu installation (packages "openssh-server"
and "openssh-client").
While connecting, the server side consistently aborts with a segmentation
fault. This happens when the client side selects the Display mode "Custom"
or "Use whole display", however the connection stablishes correctly when
the mode "Fullscreen" is chosen (although in this mode the whole server
screen is stretched and it is almost impossible to see anything, see server
& client configurations).
Please, if there is any other document I should include, don't hesitate to
ask for it. Note that the systems start from a clean state, so the Server
and Client configurations for X2Go are as per the default values.


-------- Description of both systems --------

Server machine:
    * Ubuntu 14.04 server with minimal install of Xorg and Xfce
    * Kernel version 3.16.0-49, from package
"linux-image-generic-lts-utopic"
    * X.Org X Server version 1.16.0, from package "xserver-xorg-lts-utopic"
(1:7.7+7ubuntu2~trusty1)
    * Xfce 4.10.1
    * The server has 6 screens configured with Xinerama, with a virtual
desktop of 5760x5120. Below is included the output from "xrandr".

Client machine:
    * Linux Mint 17.2 KDE
    * Kernel version 3.16.0-49
    * X.Org X Server version 1.15.1 from package "xserver-xorg"
(1:7.7+1ubuntu8.1)
    * KDE 4.14.2
    * This is a workstation desktop with 2 1920x1080 screens.

Server setup (from a clean state):
    # add-apt-repository ppa:x2go/stable
    # aptitude update
    # aptitude install x2goserver x2godesktopsharing sshfs x11-apps
x11-session-utils x11-xfs-utils x2goserver-extensions x2goserver-xsession
xbitmaps
    # adduser juan x2gouser
    # adduser juan x2godesktopsharing
    # sync ; shutdown -r now
    $ export DISPLAY=:0 ; x2godesktopsharing --activate-desktop-sharing

Client setup (from a clean state):
    # add-apt-repository ppa:x2go/stable
    # aptitude update
    # aptitude install x2goclient
    $ x2goclient --debug
    Session
        Host: <Server IP>
        Login: juan
        SSH port: 22
        Session type: "Connect to local desktop"
    Settings
        Display: Custom (800x600)
        Set display DPI: 96
        Xinerama extension: No
        Enable sound support: No
        Client side printing support: No


-------- Server xrandr output --------

$ xrandr
Screen 0: minimum 320 x 200, current 5760 x 5120, maximum 16384 x 16384
DFP1 connected 1920x1080+0+2960 (normal left inverted right x axis y axis)
531mm x 299mm
   1920x1080      60.0*+
   1680x1050      60.0
   1400x1050      60.0
   1600x900       60.0
   1280x1024      60.0
   1440x900       60.0
   1280x960       60.0
   1280x800       60.0
   1152x864       60.0
   1280x768       60.0
   1280x720       60.0
   1024x768       60.0
   800x600        60.0
   640x480        60.0
DFP2 disconnected (normal left inverted right x axis y axis)
DFP3 disconnected (normal left inverted right x axis y axis)
DFP4 disconnected (normal left inverted right x axis y axis)
DFP5 connected primary 1920x1080+0+0 (normal left inverted right x axis y
axis) 531mm x 299mm
   1920x1080      60.0*+
   1680x1050      60.0
   1400x1050      60.0
   1600x900       60.0
   1280x1024      60.0
   1440x900       60.0
   1280x960       60.0
   1280x800       60.0
   1152x864       60.0
   1280x768       60.0
   1280x720       60.0
   1024x768       60.0
   800x600        60.0
   640x480        60.0
DFP6 disconnected (normal left inverted right x axis y axis)
DFP7 disconnected (normal left inverted right x axis y axis)
DFP8 disconnected (normal left inverted right x axis y axis)
DFP9 connected 3840x2160+1920+0 (normal left inverted right x axis y axis)
0mm x 0mm
   3840x2160      30.0*+
   2560x1440      30.0
   2048x1536      30.0
   1800x1440      30.0
   1856x1392      30.0
   1792x1344      30.0
   1920x1200      30.0
   1920x1080      30.0
   1600x1200      30.0
   1680x1050      30.0
   1400x1050      30.0
   1600x900       30.0
   1280x1024      30.0
   1440x900       30.0
   1280x960       30.0
   1280x768       30.0
   1280x720       30.0
   1024x768       30.0
   800x600        30.0
   640x480        30.0
DFP10 disconnected (normal left inverted right x axis y axis)
DFP11 disconnected (normal left inverted right x axis y axis)
DFP12 disconnected (normal left inverted right x axis y axis)
DFP13 connected 1920x1080+1920+2960 (normal left inverted right x axis y
axis) 531mm x 299mm
   1920x1080      60.0*+
   1680x1050      60.0
   1400x1050      60.0
   1600x900       60.0
   1280x1024      60.0
   1440x900       60.0
   1280x960       60.0
   1280x800       60.0
   1152x864       60.0
   1280x768       60.0
   1280x720       60.0
   1024x768       60.0
   800x600        60.0
   640x480        60.0
DFP14 disconnected (normal left inverted right x axis y axis)
DFP15 disconnected (normal left inverted right x axis y axis)
DFP16 disconnected (normal left inverted right x axis y axis)
DFP17 connected 1920x1080+0+4040 (normal left inverted right x axis y axis)
531mm x 299mm
   1920x1080      60.0*+
   1680x1050      60.0
   1400x1050      60.0
   1600x900       60.0
   1280x1024      60.0
   1440x900       60.0
   1280x960       60.0
   1280x800       60.0
   1152x864       60.0
   1280x768       60.0
   1280x720       60.0
   1024x768       60.0
   800x600        60.0
   640x480        60.0
DFP18 disconnected (normal left inverted right x axis y axis)
DFP19 disconnected (normal left inverted right x axis y axis)
DFP20 disconnected (normal left inverted right x axis y axis)
DFP21 connected 1920x1080+1920+4040 (normal left inverted right x axis y
axis) 531mm x 299mm
   1920x1080      60.0*+
   1680x1050      60.0
   1400x1050      60.0
   1600x900       60.0
   1280x1024      60.0
   1440x900       60.0
   1280x960       60.0
   1280x800       60.0
   1152x864       60.0
   1280x768       60.0
   1280x720       60.0
   1024x768       60.0
   800x600        60.0
   640x480        60.0
DFP22 disconnected (normal left inverted right x axis y axis)
DFP23 disconnected (normal left inverted right x axis y axis)
DFP24 disconnected (normal left inverted right x axis y axis)


-------- Server log output --------

$ tail -f /var/log/syslog | grep -i x2go
/usr/bin/x2golistdesktops[16853]: x2golistdesktops has been called without
options
/usr/bin/x2golistsessions[16863]: x2golistsessions has been called with
options: x2goserver
/usr/bin/x2gostartagent: x2gostartagent called with options: 800x600 adsl
16m-jpeg-9 unix-kde-depth_24 us pc105/us 0 S 1XSHADjuanXSHAD:0
/usr/bin/x2gostartagent: client announced itself as ,,172.16.0.146''
/usr/bin/x2gostartagent: shadow session requested: mode 1, user: juan,
desktop: :0
/usr/bin/x2gosessionlimit[17006]: x2gosessionlimit has been called
/usr/bin/x2golistsessions[17009]: x2golistsessions has been called with
options: --all-servers
/usr/lib/x2go/x2gogetdisplays[17026]: db_getdisplays called, server:
MYHOST; return value:
/usr/lib/x2go/x2gogetports[17035]: db_getports called, server: MYHOST;
return value:
/usr/lib/x2go/x2goinsertsession[17058]: db_insertsession called, session
ID: juan-50-1442489867_stS1XSHADjuanXSHADPP0_dp24, server: MYHOST, session
ID: juan-50-1442489867_stS1XSHADjuanXSHADPP0_dp24
/usr/lib/x2go/x2gogetports[17088]: db_getports called, server: MYHOST;
return value:
/usr/sbin/x2gocleansessions[1153]:
juan-50-1442489867_stS1XSHADjuanXSHADPP0_dp24: state file for this session
does not exist:
/tmp/.x2go-juan/C-juan-50-1442489867_stS1XSHADjuanXSHADPP0_dp24/state (this
can be ignored during session startups)
/usr/lib/x2go/x2goinsertport[17111]: db_insertport called, session ID:
juan-50-1442489867_stS1XSHADjuanXSHADPP0_dp24, server: MYHOST, SSH port:
30001
/usr/lib/x2go/x2gogetports[17120]: db_getports called, server: MYHOST;
return value: |30001|
/usr/lib/x2go/x2goinsertport[17134]: db_insertport called, session ID:
juan-50-1442489867_stS1XSHADjuanXSHADPP0_dp24, server: MYHOST, SSH port:
30002
/usr/lib/x2go/x2gogetports[17164]: db_getports called, server: MYHOST;
return value: |30001| |30002|
/usr/lib/x2go/x2goinsertport[17178]: db_insertport called, session ID:
juan-50-1442489867_stS1XSHADjuanXSHADPP0_dp24, server: MYHOST, SSH port:
30003
/usr/bin/x2gostartagent: user ,,juan'' grants access to
/tmp/.x2go-juan/C-juan-50-1442489867_stS1XSHADjuanXSHADPP0_dp24 for group
,,x2godesktopsharing''
/usr/bin/x2gofeature: x2gofeature called with options: X2GO_RUN_EXTENSIONS
/usr/share/x2go/x2gofeature.d/x2godesktopsharing.features:
x2godesktopsharing.features called with options: X2GO_RUN_EXTENSIONS
/usr/share/x2go/x2gofeature.d/x2goserver-extensions.features:
x2goserver-extensions.features called with options: X2GO_RUN_EXTENSIONS
/usr/bin/x2goserver-run-extensions: x2goserver-run-extensions called with
options: juan-50-1442489867_stS1XSHADjuanXSHADPP0_dp24 pre-start
/usr/bin/x2gostartagent: successfully started X2Go agent session with ID
juan-50-1442489867_stS1XSHADjuanXSHADPP0_dp24
/usr/bin/x2gofeature: x2gofeature called with options: X2GO_RUN_EXTENSIONS
/usr/share/x2go/x2gofeature.d/x2godesktopsharing.features:
x2godesktopsharing.features called with options: X2GO_RUN_EXTENSIONS
/usr/share/x2go/x2gofeature.d/x2goserver-extensions.features:
x2goserver-extensions.features called with options: X2GO_RUN_EXTENSIONS
/usr/bin/x2goserver-run-extensions: x2goserver-run-extensions called with
options: juan-50-1442489867_stS1XSHADjuanXSHADPP0_dp24 post-start
/usr/lib/x2go/x2gocreatesession[17321]: db_createsession called, session
ID: juan-50-1442489867_stS1XSHADjuanXSHADPP0_dp24, cookie:
a7c2e20a3046d67e613fcffb9953279e, client: 172.16.0.146, pid: 17243,
graphics port: 30001, sound port: 30002, file sharing port: 30003
/usr/bin/x2gostartagent: blocking creation of agent's keyboard file
/tmp/.x2go-juan/C-juan-50-1442489867_stS1XSHADjuanXSHADPP0_dp24/keyboard as
requested by session startup command
kernel: [  591.423830] x2goagent[17243]: segfault at 0 ip           (null)
sp 00007ffd23048e58 error 14 in nxagent[400000+555000]


-------- Client log output --------

$ x2goclient --debug
x2go-INFO-1> "Starting X2Go Client..."
x2go-WARNING-1> "English language requested, not loading translator."
x2go-WARNING-1> "English language requested, not loading translator."
Bus::open: Can not get ibus-daemon's address.
IBusInputContext::createInputContext: no connection to ibus-daemon
x2go-INFO-3> "Started X2Go Client."
x2go-DEBUG-../src/onmainwindow.cpp:496> "$HOME=/home/juan"
x2go-DEBUG-../src/onmainwindow.cpp:2179> Reading 1 sessions from config
file.
x2go-DEBUG-../src/sessionbutton.cpp:319> Creating QPixmap with session
icon: ":/img/icons/128x128/x2gosession.png".
x2go-DEBUG-../src/onmainwindow.cpp:2657> Creating QPixmap with session
icon: '":/img/icons/128x128/x2gosession.png"'.
x2go-INFO-8> "Starting connection to server: 172.16.0.143:22"
x2go-DEBUG-../src/onmainwindow.cpp:2758> Starting new ssh connection to
server:"172.16.0.143":"22" krbLogin: false
x2go-DEBUG-../src/sshmasterconnection.cpp:168> SshMasterConnection, host
"172.16.0.143"port 22user "juan"useproxy falseproxyserver ""proxyport 22
x2go-DEBUG-../src/sshmasterconnection.cpp:205> Starting SSH connection
without Kerberos authentication.
x2go-DEBUG-../src/sshmasterconnection.cpp:209> SshMasterConnection,
instance SshMasterConnection(0x2524800)  created.
x2go-DEBUG-../src/sshmasterconnection.cpp:445> SshMasterConnection,
instance SshMasterConnection(0x2524800)  entering thread.
x2go-DEBUG-../src/sshmasterconnection.cpp:481> libssh not initialized yet.
Initializing.
x2go-DEBUG-../src/sshmasterconnection.cpp:792> cserverAuth
x2go-DEBUG-../src/sshmasterconnection.cpp:807> state: 1

x2go-DEBUG-../src/sshmasterconnection.cpp:966> Password authentication
requested.

x2go-DEBUG-../src/sshmasterconnection.cpp:657> User authentication OK.
x2go-DEBUG-../src/onmainwindow.cpp:2853> SSH connection established.
x2go-DEBUG-../src/onmainwindow.cpp:3120> Continue normal X2Go session
x2go-DEBUG-../src/sshprocess.cpp:199> Executing remote command via
SshProcess object 0: "export HOSTNAME && x2golistdesktops"
x2go-DEBUG-../src/sshprocess.cpp:204> Running
masterCon->addChannelConnection(this,
'"29152f86-e05f-4030-a84f-838b8eaa8953"', '"bash -c 'echo
"X2GODATABEGIN:29152f86-e05f-4030-a84f-838b8eaa8953"; export
PATH="/usr/local/bin:/usr/bin:/bin"; export HOSTNAME && x2golistdesktops;
echo "X2GODATAEND:29152f86-e05f-4030-a84f-838b8eaa8"');
x2go-DEBUG-../src/sshmasterconnection.cpp:1284> Locking SSH channel
connection MUTEX.
x2go-DEBUG-../src/sshmasterconnection.cpp:1286> Passing new channel
conenction object to channelConnections.
x2go-DEBUG-../src/sshmasterconnection.cpp:1288> Unlocking SSH channel
connection MUTEX.
x2go-DEBUG-../src/sshmasterconnection.cpp:1476> Creating new channel.

x2go-DEBUG-../src/sshmasterconnection.cpp:1480> New channel:0x7f5f98012850

x2go-DEBUG-../src/sshmasterconnection.cpp:1511> Executing remote: "bash -c
'echo "X2GODATABEGIN:29152f86-e05f-4030-a84f-838b8eaa8953"; export
PATH="/usr/local/bin:/usr/bin:/bin"; export HOSTNAME && x2golistdesktops;
echo "X2GODATAEND:29152f86-e05f-4030-a84f-838b8eaa8953";'"

x2go-DEBUG-../src/sshmasterconnection.cpp:1534> New exec channel created.

x2go-DEBUG-../src/sshmasterconnection.cpp:1638> EOF on channel
0x7f5f98012850; SshProcess object: 0
x2go-DEBUG-../src/sshmasterconnection.cpp:1706> EOF sent.
x2go-DEBUG-../src/sshmasterconnection.cpp:1710> Channel closed.
x2go-DEBUG-../src/sshprocess.cpp:517> SSH finished: raw output (stdout):
"X2GODATABEGIN:29152f86-e05f-4030-a84f-838b8eaa8953
juan@:0
X2GODATAEND:29152f86-e05f-4030-a84f-838b8eaa8953
"
x2go-DEBUG-../src/sshprocess.cpp:528> SSH finished: true - "juan@:0
" (0).
x2go-DEBUG-../src/onmainwindow.cpp:3458> "juan@:0
"
x2go-DEBUG-../src/onmainwindow.cpp:3984> Executing remote command:
"X2GODPI=96 x2gostartagent 800x600 adsl 16m-jpeg-9 unix-kde-depth_24 us
pc105/us 0 S 1XSHADjuanXSHAD:0"
x2go-DEBUG-../src/sshprocess.cpp:199> Executing remote command via
SshProcess object 1: "X2GODPI=96 x2gostartagent 800x600 adsl 16m-jpeg-9
unix-kde-depth_24 us pc105/us 0 S 1XSHADjuanXSHAD:0"
x2go-DEBUG-../src/sshprocess.cpp:204> Running
masterCon->addChannelConnection(this,
'"c7117732-1c6d-480b-a38c-a7d4b931978f"', '"bash -c 'echo
"X2GODATABEGIN:c7117732-1c6d-480b-a38c-a7d4b931978f"; export
PATH="/usr/local/bin:/usr/bin:/bin"; X2GODPI=96 x2gostartagent 800x600 adsl
16m-jpeg-9 unix-kde-depth_24 us pc105/us 0 S 1XSH"');
x2go-DEBUG-../src/sshmasterconnection.cpp:1284> Locking SSH channel
connection MUTEX.
x2go-DEBUG-../src/sshmasterconnection.cpp:1286> Passing new channel
conenction object to channelConnections.
x2go-DEBUG-../src/sshmasterconnection.cpp:1288> Unlocking SSH channel
connection MUTEX.
x2go-DEBUG-../src/sshmasterconnection.cpp:1476> Creating new channel.

x2go-DEBUG-../src/sshmasterconnection.cpp:1480> New channel:0x7f5f98012850

x2go-DEBUG-../src/sshmasterconnection.cpp:1511> Executing remote: "bash -c
'echo "X2GODATABEGIN:c7117732-1c6d-480b-a38c-a7d4b931978f"; export
PATH="/usr/local/bin:/usr/bin:/bin"; X2GODPI=96 x2gostartagent 800x600 adsl
16m-jpeg-9 unix-kde-depth_24 us pc105/us 0 S 1XSHADjuanXSHAD:0; echo
"X2GODATAEND:c7117732-1c6d-480b-a38c-a7d4b931978f";'"

x2go-DEBUG-../src/sshmasterconnection.cpp:1534> New exec channel created.

x2go-DEBUG-../src/sshmasterconnection.cpp:1583> EOF on channel
0x7f5f98012850; SshProcess object: 1
x2go-DEBUG-../src/sshmasterconnection.cpp:1706> EOF sent.
x2go-DEBUG-../src/sshmasterconnection.cpp:1710> Channel closed.
x2go-DEBUG-../src/sshprocess.cpp:517> SSH finished: raw output (stdout):
"X2GODATABEGIN:c7117732-1c6d-480b-a38c-a7d4b931978f
50
0f9c5949089bcd60268bf68aeddf1142
11536
juan-50-1442492330_stS1XSHADjuanXSHADPP0_dp24
30001
30002
30003
X2GODATAEND:c7117732-1c6d-480b-a38c-a7d4b931978f
"
x2go-DEBUG-../src/sshprocess.cpp:528> SSH finished: true - "50
0f9c5949089bcd60268bf68aeddf1142
11536
juan-50-1442492330_stS1XSHADjuanXSHADPP0_dp24
30001
30002
30003
" (1).
x2go-DEBUG-../src/onmainwindow.cpp:4790> Agent output: "50
0f9c5949089bcd60268bf68aeddf1142
11536
juan-50-1442492330_stS1XSHADjuanXSHADPP0_dp24
30001
30002
30003
"
x2go-DEBUG-../src/sshprocess.cpp:372> Starting tunnel via SshProcess object
2: "localhost":30001 -> "localhost":31001

x2go-DEBUG-../src/onmainwindow.cpp:5400> "Starting NX proxy, command:
nxproxy -S
nx/nx,options=/home/juan/.x2go/S-juan-50-1442492330_stS1XSHADjuanXSHADPP0_dp24/options:50"
x2go-DEBUG-../src/sshprocess.cpp:157> Direct tunnel: waiting for
connections on "localhost":31001
x2go-DEBUG-../src/onmainwindow.cpp:5734> Proxy wrote on stderr: "
NXPROXY - Version 3.5.0

Copyright (C) 2001, 2010 NoMachine.
See http://www.nomachine.com/ for more information.

Info: Proxy running in client mode with pid '3307'.
Session: Starting session at 'Thu Sep 17 14:18:52 2015'.
Info: Using abstract X11 socket in kernel namespace for accessing
DISPLAY=:0.
Info: Connecting to remote host 'localhost:31001'.
Info: Connection to remote proxy 'localhost:31001' established.
"
x2go-DEBUG-../src/sshprocess.cpp:109> New TCP connection.
x2go-DEBUG-../src/sshprocess.cpp:114> New socket: 15
x2go-DEBUG-../src/sshmasterconnection.cpp:1476> Creating new channel.

x2go-DEBUG-../src/sshmasterconnection.cpp:1480> New channel:0x7f5f98011070

x2go-DEBUG-../src/sshmasterconnection.cpp:1486> Forwarding new channel,
local port: 55067

x2go-DEBUG-../src/sshmasterconnection.cpp:1504> New channel forwarded.

x2go-DEBUG-../src/onmainwindow.cpp:5734> Proxy wrote on stderr: "Info:
Connection with remote proxy completed.
"
x2go-DEBUG-../src/onmainwindow.cpp:5734> Proxy wrote on stderr: "Warning:
Unrecognized session type 'unix-kde-depth_24'. Assuming agent session.
"
x2go-DEBUG-../src/onmainwindow.cpp:5734> Proxy wrote on stderr: "Info:
Using ADSL link parameters 512/24/1/0.
Info: Using cache parameters 4/4096KB/8192KB/8192KB.
Info: Using pack method '16m-jpeg-9' with session 'unix-kde-depth_24'.
Info: Using ZLIB data compression 1/1/32.
Info: Using ZLIB stream compression 4/4.
Info: No suitable cache file found.
Info: Forwarding X11 connections to display ':0'.
"
x2go-DEBUG-../src/onmainwindow.cpp:5734> Proxy wrote on stderr: "Session:
Session started at 'Thu Sep 17 14:18:52 2015'.
Info: Established X server connection.
"
x2go-DEBUG-../src/onmainwindow.cpp:5734> Proxy wrote on stderr: "Info:
Using shared memory parameters 0/0K.
"
x2go-DEBUG-../src/sshmasterconnection.cpp:1583> EOF on channel
0x7f5f98011070; SshProcess object: 2
x2go-DEBUG-../src/sshmasterconnection.cpp:1706> EOF sent.
x2go-DEBUG-../src/sshmasterconnection.cpp:1710> Channel closed.
x2go-DEBUG-../src/onmainwindow.cpp:5734> Proxy wrote on stderr: "Error:
Failure reading from the peer proxy.
Error: Connection with remote peer broken.
"
x2go-DEBUG-../src/onmainwindow.cpp:5734> Proxy wrote on stderr: "Error:
Please check the state of your network and retry.
Session: Terminating session at 'Thu Sep 17 14:18:53 2015'.
Session: Session terminated at 'Thu Sep 17 14:18:53 2015'.
"
x2go-DEBUG-../src/onmainwindow.cpp:5591> Deleting Proxy.
x2go-DEBUG-../src/onmainwindow.cpp:5640> Waiting for proxy to exit.
x2go-DEBUG-../src/onmainwindow.cpp:5665> Deleting SSH connection instance.
x2go-DEBUG-../src/sshmasterconnection.cpp:711> SshMasterConnection,
instance SshMasterConnection(0x2524800)  waiting for thread to finish.
x2go-DEBUG-../src/sshmasterconnection.cpp:1395> Disconnecting ...

x2go-DEBUG-../src/sshmasterconnection.cpp:1406> Deleting channel
connections.

x2go-DEBUG-../src/sshmasterconnection.cpp:1414> Disconnecting session.

x2go-DEBUG-../src/sshmasterconnection.cpp:1420> Deleting sockets.

x2go-DEBUG-../src/sshmasterconnection.cpp:1427> All channels closed and
session disconnected. Quiting session loop.

x2go-DEBUG-../src/sshmasterconnection.cpp:715> SshMasterConnection,
instance SshMasterConnection(0x2524800)  thread finished.
x2go-DEBUG-../src/sshprocess.cpp:52> SshProcess destructor called.
x2go-DEBUG-../src/sshprocess.cpp:52> SshProcess destructor called.
x2go-DEBUG-../src/sshprocess.cpp:52> SshProcess destructor called.
x2go-DEBUG-../src/sshmasterconnection.cpp:722> SshMasterConnection,
instance SshMasterConnection(0x2524800)  finished destructor.
x2go-DEBUG-../src/onmainwindow.cpp:5667> Deleted SSH connection instance.
x2go-DEBUG-../src/onmainwindow.cpp:5717> Finished proxy.
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#943; Package x2goagent. (Thu, 17 Sep 2015 13:20:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Juan Navarro <jnavarro@vpod.tv>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 17 Sep 2015 13:20:02 GMT) Full text and rfc822 format available.

Message #10 received at 943@bugs.x2go.org (full text, mbox):

From: Juan Navarro <jnavarro@vpod.tv>
To: 943@bugs.x2go.org
Subject: X2Go version details
Date: Thu, 17 Sep 2015 15:19:18 +0200
[Message part 1 (text/plain, inline)]
I forgot to include the X2Go version details in my original bug report:

Server machine:
    * X2Go Server, Extensions and XSession version 4.0.1.19, from packages
"x2goserver", "x2goserver-extensions" and "x2goserver-xsession"
(4.0.1.19-0~1064~ubuntu14.04.1)
    * X2Go Desktop Sharing version 3.1.1.2, from package
"x2godesktopsharing" (3.1.1.2-0~170~ubuntu14.04.1)

Client machine:
    * X2Go Client version 4.0.5.0, from package "x2goclient"
(4.0.5.0-0~1099~ubuntu14.04.1)
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#943; Package x2goagent. (Mon, 25 Jan 2016 06:25:02 GMT) Full text and rfc822 format available.

View this message in rfc822 format

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Juan Navarro <jnavarro@vpod.tv>, 943@bugs.x2go.org
Subject: Bug#943: [X2Go-Dev] Bug#943: segfault on x2goagent (error 14 in nxagent) while connecting
Date: Tue, 23 Feb 2016 14:14:11 +0000
[Message part 1 (text/plain, inline)]
Hi Juan,

On  Do 17 Sep 2015 15:11:19 CEST, Juan Navarro wrote:

> Package: x2goagent
> Version: 3.5.0.32
>
> A segmentation fault makes impossible to connect two machines in Local Area
> Network. No firewalls of port limitations are in effect, and SSH works
> normally as per the default Ubuntu installation (packages "openssh-server"
> and "openssh-client").
> While connecting, the server side consistently aborts with a segmentation
> fault. This happens when the client side selects the Display mode "Custom"
> or "Use whole display", however the connection stablishes correctly when
> the mode "Fullscreen" is chosen (although in this mode the whole server
> screen is stretched and it is almost impossible to see anything, see server
> & client configurations).
> Please, if there is any other document I should include, don't hesitate to
> ask for it. Note that the systems start from a clean state, so the Server
> and Client configurations for X2Go are as per the default values.

From your bug report I see that you have a very complex multi-monitor  
setup on your client running X2Go Client.

The Xinerama implementation in nx-libs has been reworked tremendously.

Could you please try to install a test server running nx-libs 3.6.x?

The nx-libs 3.6.x can be obtained from

  deb http://packages.arctica-project.org/ubuntu-nightly trusty main

You have to add "+xinerama" to the X2GO_NXAGENT_DEFAULT_OPTIONS in  
/etc/x2go/x2goagent.options. Currently the Xinerama switch in X2Go  
Client is ignored, but you can test Xinerama with nx-libs 3.6.x.

Also on resumed sessions, the Xinerama extension will not be present.  
That is also work to be done in X2Go Server. (Please ignore it for  
now...).

Mike




-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/mailxchange/kronolith/fb.php?u=m.gabriel%40das-netzwerkteam.de
[Message part 2 (application/pgp-signature, inline)]

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 23 Feb 2016 14:15:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Thu Dec 13 20:07:39 2018; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.